Interface

Query parameters for the feature layer data source.

Inheritance: FeatureLayerQueryParamsArcGISQueryParams

Properties

Hide inherited properties
PropertyTypeNotes
boolean

If true, it always sends http request to server to get the response.

distance
inherited
number

The buffer distance for the input geometries.

gdbVersion
inherited
string

Specify the geodatabase version to be queried.

geometry
inherited
IGeometry

The geometry of the spatial filter.

number

This option can be used to specify the number of decimal places for the returned geometries.

string[]

One or more jimuFieldName by which the values will be grouped for calculating the statistics.

string | number

The historic moment to query.

boolean

Since widgets share the loaded data when using the load method, the data source will concatenate all the fields used by the widgets as the final outField when sending the request. If set to true, the data source will use the outFields provided directly. This can improve performance, but please ensure that you pass in sufficient fields to avoid errors in the widgets.

boolean

If true, don't add missed fields into layer.outFields for client query.

objectIds
inherited
string | number[]

Object IDs or unique IDs of records to be queried.

orderByFields
inherited
string[]

One or more jimuFieldName by which the features/records will be ordered. Use ASC for ascending and DESC for descending. The following fields are used to control the ordering. orderByFields is set to ASC (ascending order) by default if <ORDER> is unspecified.

outDistance
inherited
{ ascendingOrder: boolean; outDistanceUnit: Units; returnDistance: boolean }

If returnDistance is true, will return the distance from the input geometry.

outFields
inherited
string[]

The list of fields to be included in the returned result set.

outSR
inherited
number | ISpatialReference

The spatial reference of the returned geometry.

outStatistics
inherited
StatisticDefinition[]

The definitions for one or more field-based statistics to be calculated.

page
inherited
number

Page number starts from 1, not 0.

pageSize
inherited
number

Page size.

boolean

If true, it returns distinct values based on the fields specified in outFields.

boolean

If true, the queried features have full precision geometry.

boolean

If true, the geometry of each result feature will be returned.

returnM
inherited
boolean

If true, m-values are included in the results if the features have m-values. Otherwise, m-values are not returned.

returnZ
inherited
boolean

If true, z-values are included in the results if the features have z-values. Otherwise, z-values are not returned.

spatialRel
inherited
SpatialRelationship

The spatial relationship to be applied to the input geometry while performing the query.

sqlFormat
inherited
"standard" | "none" | "native"

The sqlFormat parameter can be either standard SQL-92 standard or it can use the native SQL of the underlying data store.

time
inherited
TimeExtent

The time instant or the time extent to query. A null value specified for start time or end time will represent infinity for start or end time, respectively.

units
inherited
Units

The unit for calculating the buffer distance.

where
inherited
string

A where clause for the query.

disableClientQuery

optionalinheritedinherited
Interface Property
disableClientQuery: boolean

If true, it always sends http request to server to get the response.

distance

optionalinheritedinherited
Interface Property
distance: number

The buffer distance for the input geometries.

gdbVersion

optionalinheritedinherited
Interface Property
gdbVersion: string

Specify the geodatabase version to be queried.

geometry

optionalinheritedinherited
Interface Property
geometry: IGeometry

The geometry of the spatial filter.

geometryPrecision

optionalinheritedinherited
Interface Property
geometryPrecision: number

This option can be used to specify the number of decimal places for the returned geometries.

groupByFieldsForStatistics

optionalinheritedinherited
Interface Property
groupByFieldsForStatistics: string[]

One or more jimuFieldName by which the values will be grouped for calculating the statistics.

historicMoment

optionalinheritedinherited
Interface Property
historicMoment: string | number

The historic moment to query.

honorOutFields

optionalinheritedinherited
Interface Property
honorOutFields: boolean

Since widgets share the loaded data when using the load method, the data source will concatenate all the fields used by the widgets as the final outField when sending the request. If set to true, the data source will use the outFields provided directly. This can improve performance, but please ensure that you pass in sufficient fields to avoid errors in the widgets.

notAddFieldsToClient

optionalinheritedinherited
Interface Property
notAddFieldsToClient: boolean

If true, don't add missed fields into layer.outFields for client query.

objectIds

optionalinheritedinherited
Interface Property
objectIds: string | number[]

Object IDs or unique IDs of records to be queried.

orderByFields

optionalinheritedinherited
Interface Property
orderByFields: string[]

One or more jimuFieldName by which the features/records will be ordered. Use ASC for ascending and DESC for descending. The following fields are used to control the ordering. orderByFields is set to ASC (ascending order) by default if <ORDER> is unspecified.

outDistance

optionalinheritedinherited
Interface Property
outDistance: { ascendingOrder: boolean; outDistanceUnit: Units; returnDistance: boolean }

If returnDistance is true, will return the distance from the input geometry.

Type declaration

    outFields

    optionalinheritedinherited
    Interface Property
    outFields: string[]

    The list of fields to be included in the returned result set.

    outSR

    optionalinheritedinherited
    Interface Property
    outSR: number | ISpatialReference

    The spatial reference of the returned geometry.

    outStatistics

    optionalinheritedinherited
    Interface Property
    outStatistics: StatisticDefinition[]

    The definitions for one or more field-based statistics to be calculated.

    page

    optionalinheritedinherited
    Interface Property
    page: number

    Page number starts from 1, not 0.

    Inherited from ArcGISQueryParams.page

    pageSize

    optionalinheritedinherited
    Interface Property
    pageSize: number

    Page size.

    returnDistinctValues

    optionalinheritedinherited
    Interface Property
    returnDistinctValues: boolean

    If true, it returns distinct values based on the fields specified in outFields.

    returnFullGeometry

    optionalinheritedinherited
    Interface Property
    returnFullGeometry: boolean

    If true, the queried features have full precision geometry.

    returnGeometry

    optionalinheritedinherited
    Interface Property
    returnGeometry: boolean

    If true, the geometry of each result feature will be returned.

    returnM

    optionalinheritedinherited
    Interface Property
    returnM: boolean

    If true, m-values are included in the results if the features have m-values. Otherwise, m-values are not returned.

    returnZ

    optionalinheritedinherited
    Interface Property
    returnZ: boolean

    If true, z-values are included in the results if the features have z-values. Otherwise, z-values are not returned.

    spatialRel

    optionalinheritedinherited
    Interface Property
    spatialRel: SpatialRelationship

    The spatial relationship to be applied to the input geometry while performing the query.

    sqlFormat

    optionalinheritedinherited
    Interface Property
    sqlFormat: "standard" | "none" | "native"

    The sqlFormat parameter can be either standard SQL-92 standard or it can use the native SQL of the underlying data store.

    time

    optionalinheritedinherited
    Interface Property
    time: TimeExtent

    The time instant or the time extent to query. A null value specified for start time or end time will represent infinity for start or end time, respectively.

    Inherited from ArcGISQueryParams.time

    units

    optionalinheritedinherited
    Interface Property
    units: Units

    The unit for calculating the buffer distance.

    where

    optionalinheritedinherited
    Interface Property
    where: string

    A where clause for the query.

    Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.